package com.fdkankan.platform.agent.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.platform.agent.entity.AppFile;
import com.fdkankan.platform.agent.request.RequestAppFile;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 
 * @since 2022-04-27
 */
public interface IAppFileService extends IService<AppFile> {

    String upload(MultipartFile file);

    Page<AppFile> getPageByParam(RequestAppFile param);

    List<String> agenetList(String name);

    void saveByParam(RequestAppFile param);
}
